/**
 * <b>ThermostatQA</b> testcases for Thermostat - smoke (basic) tests, 
 * gui, storage, etc.
 * The whole repository with the framework and testcases can be obtained by 
 * <code>hg clone [http or ssh]://icedtea.classpath.org/hg/ThermostatQA</code>
 * 
 * <h2>Running the tests</h2>
 * <ol>
 * <li> Set path to the thermostat binaries you want to test in 
 * <i>test.properties</i>
 * <li> Before the very first run of the tests you may need to create
 * the directory <i>screenshots</i> in <i>ThermostatQA</i> if it does not
 * exist already.
 * <li> (A) run tests absolutely anew
 * <ul>
 * <li><code>make clean</code>
 * <li><code>make build</code>
 * <li><code>make </code>NAME OF THE TEST or <code>make runtests</code> 
 * - the latter option runs the tests that are specified in the Makefile in 
 *   goal TESTS, these are not necessarily all existing tests.
 * </ul>
 * (B) do not build all the tests anew, just build and run one test 
 * <ul>
 * <li><code>make build</code> - builds only the changed sources
 * <li><code>make </code>NAME OF THE TEST
 * </ul>
 * 
 * <li>for creating today's report in <i>reports</i> do 
 * <code>make report</code> ... other options in Makefile 
 * (listing all tests and such)
 * <li> If gui tests do not run, there is a possibility the icons look
 * different on your system - change <i>patterns/*</i> and 
 * <i>src/org/thermostat/qa/framework/Patterns.java</i>
 *  </ol>
*/

package org.thermostat.qa.testsuites;

